Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class DirectoryScannerHelper

    java.lang.Object
      org.objectweb.util.ant.DirectoryScannerHelper

public class DirectoryScannerHelper
extends java.lang.Object

This tool class helps the use of DirectoryScanner.

Author:
  S.Chassande-Barrioz

Constructor Summary
`DirectoryScannerHelper()`

Method Summary
`static java.util.List` | `getSelectedDirectories(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected directories from a matching task.
`static java.lang.String[]` | `getSelectedDirectoriesAsString(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected directories from a matching task.
`static java.util.List` | `getSelectedFiles(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected files from a matching task.
`static java.lang.String[]` | `getSelectedFilesAsString(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected files from a matching task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryScannerHelper

    public DirectoryScannerHelper()

Method Detail

### getSelectedFiles

    public static java.util.List getSelectedFiles(org.apache.tools.ant.DirectoryScanner ds,
                                                  org.apache.tools.ant.Project project)

  Extract selected files from a matching task.

  Returns:
    a collection of String corresponding to selected files

### getSelectedFilesAsString

    public static java.lang.String[] getSelectedFilesAsString(org.apache.tools.ant.DirectoryScanner ds,
                                                              org.apache.tools.ant.Project project)

  Extract selected files from a matching task.

  Returns:
    an array of String corresponding to selected files

### getSelectedDirectories

    public static java.util.List getSelectedDirectories(org.apache.tools.ant.DirectoryScanner ds,
                                                        org.apache.tools.ant.Project project)

  Extract selected directories from a matching task.

  Returns:
    a collection of String corresponding to selected directories

### getSelectedDirectoriesAsString

    public static java.lang.String[] getSelectedDirectoriesAsString(org.apache.tools.ant.DirectoryScanner ds,
                                                                    org.apache.tools.ant.Project project)

  Extract selected directories from a matching task.

  Returns:
    an array of String corresponding to selected directories

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD